__gnu_cxx::hash_map(3)

NAME
__gnu_cxx::hash_map -

SYNOPSIS

Detailed Description

  template<class _Key, class _Tp, class _HashFcn, class _EqualKey, class _Alloc> class __gnu_cxx::hash_map< _Key, _Tp, _HashFcn, _EqualKey, _Alloc >
This is an SGI extension.

Todo
    Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 94 of file hash_map.

  Public Types
typedef _Ht::allocator_type allocator_type
typedef _Ht::const_iterator const_iterator
typedef _Ht::const_pointer const_pointer
typedef _Ht::const_reference const_reference
typedef _Tp data_type
typedef _Ht::difference_type difference_type
typedef _Ht::hasher hasher
typedef _Ht::iterator iterator
typedef _Ht::key_equal key_equal
typedef _Ht::key_type key_type
typedef _Tp mapped_type
typedef _Ht::pointer pointer
typedef _Ht::reference reference
typedef _Ht::size_type size_type
typedef _Ht::value_type value_type

  Public Member Functions
const_iterator begin () const
iterator begin ()
size_type bucket_count () const
void clear ()
size_type count (const key_type &__key) const
size_type elems_in_bucket (size_type __n) const
bool empty () const
const_iterator end () const
iterator end ()
pair< const_iterator, const_iterator > equal_range (const key_type &__key) const
pair< iterator, iterator > equal_range (const key_type &__key)
void erase (iterator __f, iterator __l)
void erase (iterator __it)
size_type erase (const key_type &__key)
const_iterator find (const key_type &__key) const
iterator find (const key_type &__key)
allocator_type get_allocator () const
hasher hash_funct () const
template<class _InputIterator> hash_map (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
template<class _InputIterator> hash_map (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf)
template<class _InputIterator> hash_map (_InputIterator __f, _InputIterator __l, size_type __n)
template<class _InputIterator> hash_map (_InputIterator __f, _InputIterator __l)
hash_map (size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
hash_map (size_type __n, const hasher &__hf)
hash_map (size_type __n)
hash_map ()
template<class _InputIterator> void insert (_InputIterator __f, _InputIterator __l)
pair< iterator, bool > insert (const value_type &__obj)
pair< iterator, bool > insert_noresize (const value_type &__obj)
key_equal key_eq () const
size_type max_bucket_count () const
size_type max_size () const
_Tp & operator[] (const key_type &__key)
void resize (size_type __hint)
size_type size () const
void swap (hash_map &__hs)

  Friends
template<class _K1, class _T1, class _HF, class _EqK, class _Al> bool operator== (const hash_map< _K1, _T1, _HF, _EqK, _Al > &, const hash_map< _K1, _T1, _HF, _EqK, _Al > &)

Author

Generated automatically by Doxygen for libstdc++ from the source code.